﻿require "import"
import "android.content.Context"
import "android.media.MediaPlayer"
import "android.media.AudioManager"
import "android.os.Vibrator"
local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
local audioManager = context.getSystemService(Context.AUDIO_SERVICE)
local isMicrophoneMute = audioManager.isMicrophoneMute()
audioManager.setMicrophoneMute(not isMicrophoneMute)
local path = package.searchpath("main", package.path):match("(.*)main.lua")
local oggEnabledFile = path .. "/On.ogg"
local oggDisabledFile = path .. "/Off.ogg"

local mediaPlayer = MediaPlayer()

function playAudio(filePath)
mediaPlayer.reset()
mediaPlayer.setDataSource(filePath)
    mediaPlayer.prepare()
    mediaPlayer.start()
end

if isMicrophoneMute then
playAudio(oggDisabledFile)
service.asyncSpeak("đã bật micro")
vibrator.vibrate(long{0, 90, 90, 90}, -1)
else
playAudio(oggEnabledFile)
service.asyncSpeak("Đã tắt micro")
vibrator.vibrate(100)
end